Get Sales Rep List
curl --request GET \
--url https://api.wizcommerce.com/v1/sales-reps \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.wizcommerce.com/v1/sales-reps"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.wizcommerce.com/v1/sales-reps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"email": "john.doe@example.com",
"first_name": "John",
"last_name": "Doe",
"phone": "+14155552671",
"department": "Sales",
"status": "active",
"created_by": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"updated_by": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z"
}
],
"pagination": {
"total_records": 100,
"total_pages": 10,
"current_page": 1,
"next_page": 2,
"prev_page": 0,
"page_size": 10
}
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Sales Rep
Get Sales Rep List
Get Sales Rep List
GET
/
v1
/
sales-reps
Get Sales Rep List
Authorizations
API Key for authentication
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100LIKE search, case sensitive
Available options:
asc, desc Available options:
created_at, updated_at, first_name, last_name Available options:
active, inactive Was this page helpful?
⌘I
